﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.OutlookBar.Events;

namespace XamDockManagerLayout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamOutlookBar_SelectedGroupChanged(object sender, RoutedEventArgs e)
        {
            SelectedGroupChangedEventArgs args = e as SelectedGroupChangedEventArgs;
            MainWindowViewModel vm = DataContext as MainWindowViewModel;
            switch ((string)args.NewSelectedOutlookBarGroup.Header)
            {
                case "Group 1":
                    vm.SetDockManager();
                    break;
                case "Group 2":
                    vm.SetOther();
                    break;
            };
        }

        private void XamDockManager_ActivePaneChanged(object sender, RoutedPropertyChangedEventArgs<Infragistics.Windows.DockManager.ContentPane> e)
        {
            Console.WriteLine("ActivePaneChanged");
        }
    }
}
